### Constructor

# Camel Stream new

since: 3.12

#### Declaration [src]

    CamelStream*
    camel_stream_new (
      GIOStream* base_stream
    )

#### Description [src]

Creates a `CamelStream` as a thin wrapper for `base_stream`.

Available since: 3.12

#### Parameters

`base_stream`

  Type: `GIOStream`

  A `GIOStream`.

  The data is owned by the caller of the function.

#### Return value

Type: `CamelStream`

A `CamelStream`.

The caller of the function takes ownership of the data, and is responsible for freeing it.